
Redmine - Patch #3019

Add hook to successful_authentication method

2009-03-20 18:39 - Brad Beattie

Status: Closed Start date: 2009-03-20

Priority: Normal Due date:  

Assignee: Eric Davis % Done: 100%

Category: Plugin API Estimated time: 0.00 hour

Target version: 0.8.3   

Description

The attached patch provides a hook called after successful authentication and before the redirect call.

It's necessary for plugins that, for instance, notify users of changes since their last login.

Associated revisions

Revision 2609 - 2009-03-21 00:52 - Eric Davis

Added a plugin hook for :controller_account_success_authentication_after

#3019

History

#1 - 2009-03-20 19:41 - Eric Davis

- Category changed from Accounts / authentication to Plugin API

- Status changed from New to 7

- Assignee set to Eric Davis

I'll need to rename it to follow the standard but there shouldn't be any problem commiting it.

Naming details: http://www.redmine.org/issues/1677#note-15

#2 - 2009-03-21 00:49 - Eric Davis

- Status changed from 7 to Resolved

- Target version set to 0.8.3

- % Done changed from 0 to 100

Added in r2609, use :controller_account_success_authentication_after

#3 - 2009-03-21 01:00 - Brad Beattie

Sweet. Thanks. I have it in my mind to add more hooks in more locations to help with plugin development, but a bit at a time might be best, yeah? :)

#4 - 2009-03-21 01:18 - Eric Davis

Yes, I'm only trying to add hooks in places that are:

1. Actually needed by someone

2. Would be useful for more than one plugin

Like any API, the hooks have a cost that we need to be aware of.

#5 - 2009-04-05 14:02 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Backported in 0.8-stable in r2652.
